package com.reactlibrary;

import android.app.Activity;
import android.app.NotificationManager;
import android.content.Context;
import android.content.Intent;

import androidx.annotation.Nullable;

import com.facebook.react.bridge.ReactContext;

import static android.app.NotificationManager.*;


public class DndManger {
    ReactContext mContext;
    NotificationManager mNotificationManager;

    public DndManger(ReactContext mContext) {
        this.mContext = mContext;
        this.mNotificationManager = (NotificationManager) mContext.getSystemService(Context.NOTIFICATION_SERVICE);
    }

    protected final @Nullable
    Activity getActivity() {
        return this.mContext.getCurrentActivity();
    }

    public void enableDnd() {
        if (!mNotificationManager.isNotificationPolicyAccessGranted()) {
            Intent intent = new Intent(android.provider.Settings.ACTION_NOTIFICATION_POLICY_ACCESS_SETTINGS);
            Activity mActivity = this.getActivity();
            if (mActivity == null) {
                intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                mContext.startActivity(intent);
            } else {
                mActivity.startActivity(intent);
            }
        }
        mNotificationManager.setInterruptionFilter(INTERRUPTION_FILTER_NONE);
    }

    public void disableDnd() {
        mNotificationManager.setInterruptionFilter(INTERRUPTION_FILTER_ALL);
    }

}
