// DndModule.java

package com.reactlibrary;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;

public class DndModule extends ReactContextBaseJavaModule {

    private final ReactApplicationContext reactContext;
    private final DndManger mDndManger;

    public DndModule(ReactApplicationContext reactContext) {
        super(reactContext);
        this.reactContext = reactContext;
        this.mDndManger = new DndManger(this.reactContext);
    }

    @Override
    public String getName() {
        return "Dnd";
    }

    @ReactMethod
    public void enableDnd() {
        this.mDndManger.enableDnd();
    }

    @ReactMethod
    public void disableDnd() {
        this.mDndManger.disableDnd();
    }
}
